public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-python/dugong/
@ 2016-03-12 18:14 Tim Harder
  0 siblings, 0 replies; 12+ messages in thread
From: Tim Harder @ 2016-03-12 18:14 UTC (permalink / raw
  To: gentoo-commits

commit:     68c651408063b468d7776b1dc44e14658f901f93
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 12 17:40:55 2016 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Sat Mar 12 18:14:35 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=68c65140

dev-python/dugong: add py35 support

 dev-python/dugong/dugong-3.5.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/dugong/dugong-3.5.ebuild b/dev-python/dugong/dugong-3.5.ebuild
index bc55041..71cc545 100644
--- a/dev-python/dugong/dugong-3.5.ebuild
+++ b/dev-python/dugong/dugong-3.5.ebuild
@@ -3,7 +3,7 @@
 # $Id$
 
 EAPI=5
-PYTHON_COMPAT=( python3_{3,4} )
+PYTHON_COMPAT=( python3_{3,4,5} )
 
 inherit distutils-r1
 


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/dugong/
@ 2016-07-12 18:51 Tim Harder
  0 siblings, 0 replies; 12+ messages in thread
From: Tim Harder @ 2016-07-12 18:51 UTC (permalink / raw
  To: gentoo-commits

commit:     fb289c96d06aa4aeb7002b354a9cc23b2cec6e7c
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 12 18:19:20 2016 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Tue Jul 12 18:23:29 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fb289c96

dev-python/dugong: version bump to 3.7

 dev-python/dugong/Manifest          |  1 +
 dev-python/dugong/dugong-3.7.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-python/dugong/Manifest b/dev-python/dugong/Manifest
index fbbddcf..998c7a8 100644
--- a/dev-python/dugong/Manifest
+++ b/dev-python/dugong/Manifest
@@ -1,2 +1,3 @@
 DIST dugong-3.4.tar.bz2 190012 SHA256 148a65931b52e030f8eb5e1dd2740eb62754ad0c831d15c22f923f7f8274ad33 SHA512 67cf314629298249bfe0305ce2d79f66b71d6415090fab9721e62c38549863098b3048f2936532073dfe52438cf638fbc4ce46cbdbae14b7dd5158e8d9a1cdbb WHIRLPOOL b8be0bb5f7475f85ae219199a993362759646a9972934be14372b16455b18f1f2f33f4bdb553ef762e887673dc198ac6f07d863fe715a70721f2e4763752b9af
 DIST dugong-3.5.tar.bz2 192228 SHA256 44bc81cd25b2e8762458b59f2f2382a3e59869c457edbbcdfe03541e576f1978 SHA512 204d8fceb63e9036f026e5a23da028a41600a740ceaa42f54474a1986c19cb224ca335d81c24c257dd761ac0f58443091df1d95fb0e1776eb3227c18d5331e39 WHIRLPOOL 678525106190b82c0be3d2c0ab72d006a8bd1b4343071bfa8d9702a7d8619859406f39a59a6bd87160d9ca31bf026cb547a55bc75907f645eba2da24ab77c1e3
+DIST dugong-3.7.tar.bz2 193975 SHA256 68f7810742e1c54a5cddfa49992d416704c13b25263bd3278f7581cbc2adb2e1 SHA512 f6e637946ec5f402a21dc40f08ab187bed281b4b7c27c056651eac049d9aaf4c952bfa5e19c05db6cac2d284cf7dbd47250b82cdbcac998971fd10466a47fe21 WHIRLPOOL 3ee51fc0f085f94f64d04b6ef04fb69db8f4a569347eee4fbb1e18727343752dbf6b7df080776ca38b87f49d8495b5bd6361eb25f3cd12b4bc54b911be96a87c

diff --git a/dev-python/dugong/dugong-3.7.ebuild b/dev-python/dugong/dugong-3.7.ebuild
new file mode 100644
index 0000000..22d464e
--- /dev/null
+++ b/dev-python/dugong/dugong-3.7.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python3_{3,4,5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for communicating with HTTP 1.1 servers"
+HOMEPAGE="https://bitbucket.org/nikratio/python-dugong/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.bz2"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_test() {
+	py.test -v || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( doc/html/. )
+	use examples && dodoc -r examples
+	distutils-r1_python_install_all
+}


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/dugong/
@ 2016-09-11  4:28 Tim Harder
  0 siblings, 0 replies; 12+ messages in thread
From: Tim Harder @ 2016-09-11  4:28 UTC (permalink / raw
  To: gentoo-commits

commit:     b49292d4936f8131fa557fc00c279acc4289c0c0
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 11 04:25:16 2016 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Sun Sep 11 04:27:44 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b49292d4

dev-python/dugong: stabilize 3.7

 dev-python/dugong/dugong-3.7.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/dugong/dugong-3.7.ebuild b/dev-python/dugong/dugong-3.7.ebuild
index 22d464e..23767ff 100644
--- a/dev-python/dugong/dugong-3.7.ebuild
+++ b/dev-python/dugong/dugong-3.7.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.bz2"
 
 LICENSE="LGPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 x86"
 IUSE="doc examples test"
 
 DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/dugong/
@ 2017-05-11  1:29 Zac Medico
  0 siblings, 0 replies; 12+ messages in thread
From: Zac Medico @ 2017-05-11  1:29 UTC (permalink / raw
  To: gentoo-commits

commit:     8b7c1a0a01666a86ecbc0cbda84b676ef85866a3
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Thu May 11 01:27:17 2017 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Thu May 11 01:27:23 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8b7c1a0a

dev-python/dugong: add missing pytest-catchlog test dep

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 dev-python/dugong/dugong-3.7.ebuild | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/dev-python/dugong/dugong-3.7.ebuild b/dev-python/dugong/dugong-3.7.ebuild
index cd5304b6b39..105c42266bd 100644
--- a/dev-python/dugong/dugong-3.7.ebuild
+++ b/dev-python/dugong/dugong-3.7.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -16,7 +16,10 @@ KEYWORDS="amd64 x86"
 IUSE="doc examples test"
 
 DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
-	test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+	test? (
+		dev-python/pytest[${PYTHON_USEDEP}]
+		dev-python/pytest-catchlog[${PYTHON_USEDEP}]
+	)"
 
 python_test() {
 	py.test -v || die "Tests failed under ${EPYTHON}"


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/dugong/
@ 2017-08-22  6:08 Tim Harder
  0 siblings, 0 replies; 12+ messages in thread
From: Tim Harder @ 2017-08-22  6:08 UTC (permalink / raw
  To: gentoo-commits

commit:     5cbf39c2f81e17a12282b0d74e51fd6ed5fdd89a
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 22 05:23:29 2017 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Tue Aug 22 06:07:06 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5cbf39c2

dev-python/dugong: version bump to 3.7.1

 dev-python/dugong/Manifest            |  1 +
 dev-python/dugong/dugong-3.7.1.ebuild | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/dev-python/dugong/Manifest b/dev-python/dugong/Manifest
index fe35b20d9d6..41dc2c7a0c0 100644
--- a/dev-python/dugong/Manifest
+++ b/dev-python/dugong/Manifest
@@ -1 +1,2 @@
+DIST dugong-3.7.1.tar.bz2 194243 SHA256 3bf01631c4ccd1be2b07aa0adcda94b8627457207cd5cd7f8438c0d7fad63509 SHA512 85c276bba85d650bf0baa6257bf0872cb2da546a23d19e0c94cc15c95721a8d9f6392db0e64b38ab2e801803e3ab7908e6a931d18736d33c87138eca35b4f27c WHIRLPOOL 5d229cc20ce27f295068ce92d77092e69f21ce72ddd511478b902e421e9061d79df1325b67abe0205ca21b1bec559a5069f74c56ed0fa1cbb60213b473c15f07
 DIST dugong-3.7.tar.bz2 193975 SHA256 68f7810742e1c54a5cddfa49992d416704c13b25263bd3278f7581cbc2adb2e1 SHA512 f6e637946ec5f402a21dc40f08ab187bed281b4b7c27c056651eac049d9aaf4c952bfa5e19c05db6cac2d284cf7dbd47250b82cdbcac998971fd10466a47fe21 WHIRLPOOL 3ee51fc0f085f94f64d04b6ef04fb69db8f4a569347eee4fbb1e18727343752dbf6b7df080776ca38b87f49d8495b5bd6361eb25f3cd12b4bc54b911be96a87c

diff --git a/dev-python/dugong/dugong-3.7.1.ebuild b/dev-python/dugong/dugong-3.7.1.ebuild
new file mode 100644
index 00000000000..d5bddcb825e
--- /dev/null
+++ b/dev-python/dugong/dugong-3.7.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for communicating with HTTP 1.1 servers"
+HOMEPAGE="https://bitbucket.org/nikratio/python-dugong/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.bz2"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	test? (
+		dev-python/pytest[${PYTHON_USEDEP}]
+		dev-python/pytest-catchlog[${PYTHON_USEDEP}]
+	)"
+
+python_test() {
+	py.test -v || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( doc/html/. )
+	use examples && dodoc -r examples
+	distutils-r1_python_install_all
+}


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/dugong/
@ 2018-02-09  7:59 Tim Harder
  0 siblings, 0 replies; 12+ messages in thread
From: Tim Harder @ 2018-02-09  7:59 UTC (permalink / raw
  To: gentoo-commits

commit:     7b3378b5338aa46a98c437ae6060641347512a35
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Fri Feb  9 07:48:58 2018 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Fri Feb  9 07:59:48 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b3378b5

dev-python/dugong: remove old

 dev-python/dugong/Manifest          |  1 -
 dev-python/dugong/dugong-3.7.ebuild | 36 ------------------------------------
 2 files changed, 37 deletions(-)

diff --git a/dev-python/dugong/Manifest b/dev-python/dugong/Manifest
index e79f12ebfcc..cd83993cfbb 100644
--- a/dev-python/dugong/Manifest
+++ b/dev-python/dugong/Manifest
@@ -1,2 +1 @@
 DIST dugong-3.7.1.tar.bz2 194243 BLAKE2B a7514f4b515fcd519f5c11b834d44d16cd395d9eada659dd1913bd07a9a072e19f6737a3d702d9ef2a63160eb5452f146a4b04e744610b8f51c9403a648aef9b SHA512 85c276bba85d650bf0baa6257bf0872cb2da546a23d19e0c94cc15c95721a8d9f6392db0e64b38ab2e801803e3ab7908e6a931d18736d33c87138eca35b4f27c
-DIST dugong-3.7.tar.bz2 193975 BLAKE2B 07b60f0455e8d97a931e443918783fcea963fd343290680a9a27060a501209efe1784b7b7c3723037460850b3fcf92f099e21e7be2ab3a53f7329e5079f0112f SHA512 f6e637946ec5f402a21dc40f08ab187bed281b4b7c27c056651eac049d9aaf4c952bfa5e19c05db6cac2d284cf7dbd47250b82cdbcac998971fd10466a47fe21

diff --git a/dev-python/dugong/dugong-3.7.ebuild b/dev-python/dugong/dugong-3.7.ebuild
deleted file mode 100644
index 326f69c1fc6..00000000000
--- a/dev-python/dugong/dugong-3.7.ebuild
+++ /dev/null
@@ -1,36 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python3_{4,5,6} )
-
-inherit distutils-r1
-
-DESCRIPTION="Python library for communicating with HTTP 1.1 servers"
-HOMEPAGE="https://bitbucket.org/nikratio/python-dugong/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.bz2"
-
-LICENSE="LGPL-2"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="doc examples test"
-
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
-	test? (
-		dev-python/pytest[${PYTHON_USEDEP}]
-		dev-python/pytest-catchlog[${PYTHON_USEDEP}]
-	)"
-
-PATCHES=(
-	"${FILESDIR}"/${P}-test-html-escape.patch
-)
-
-python_test() {
-	py.test -v || die "Tests failed under ${EPYTHON}"
-}
-
-python_install_all() {
-	use doc && local HTML_DOCS=( doc/html/. )
-	use examples && dodoc -r examples
-	distutils-r1_python_install_all
-}


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/dugong/
@ 2018-02-09  7:59 Tim Harder
  0 siblings, 0 replies; 12+ messages in thread
From: Tim Harder @ 2018-02-09  7:59 UTC (permalink / raw
  To: gentoo-commits

commit:     fe0f855590532642d7bcdd37e67f80fee40df6c5
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Fri Feb  9 07:48:45 2018 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Fri Feb  9 07:59:48 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fe0f8555

dev-python/dugong: stabilize 3.7.1

 dev-python/dugong/dugong-3.7.1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-python/dugong/dugong-3.7.1.ebuild b/dev-python/dugong/dugong-3.7.1.ebuild
index d5bddcb825e..c6e321e5236 100644
--- a/dev-python/dugong/dugong-3.7.1.ebuild
+++ b/dev-python/dugong/dugong-3.7.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.bz2"
 
 LICENSE="LGPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 x86"
 IUSE="doc examples test"
 
 DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/dugong/
@ 2018-03-19  6:38 Tim Harder
  0 siblings, 0 replies; 12+ messages in thread
From: Tim Harder @ 2018-03-19  6:38 UTC (permalink / raw
  To: gentoo-commits

commit:     61446bfca57b8601dcc66d44be073b2f7db99f18
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 19 06:35:08 2018 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Mon Mar 19 06:35:08 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=61446bfc

dev-python/dugong: version bump to 3.7.2

 dev-python/dugong/Manifest            |  1 +
 dev-python/dugong/dugong-3.7.2.ebuild | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/dev-python/dugong/Manifest b/dev-python/dugong/Manifest
index cd83993cfbb..570d8862d78 100644
--- a/dev-python/dugong/Manifest
+++ b/dev-python/dugong/Manifest
@@ -1 +1,2 @@
 DIST dugong-3.7.1.tar.bz2 194243 BLAKE2B a7514f4b515fcd519f5c11b834d44d16cd395d9eada659dd1913bd07a9a072e19f6737a3d702d9ef2a63160eb5452f146a4b04e744610b8f51c9403a648aef9b SHA512 85c276bba85d650bf0baa6257bf0872cb2da546a23d19e0c94cc15c95721a8d9f6392db0e64b38ab2e801803e3ab7908e6a931d18736d33c87138eca35b4f27c
+DIST dugong-3.7.2.tar.bz2 206730 BLAKE2B f362208db26582a1d3681900e99b2143c779d4da1dff9f1a5bc21a2a00fbd0e0c1abb045a60b6cc29d173c0980c42c19f33d091c3b6f300d0e2d85b180b12995 SHA512 00b6d349fa7c5b8a356d663381a39bc40dd42fe9c01a92003c58437f4c4acc31fdde880b743f2c1035016e6f1e1d0f9cf6608832332f3a4a8640bf868680bea6

diff --git a/dev-python/dugong/dugong-3.7.2.ebuild b/dev-python/dugong/dugong-3.7.2.ebuild
new file mode 100644
index 00000000000..e1144b98f8b
--- /dev/null
+++ b/dev-python/dugong/dugong-3.7.2.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for communicating with HTTP 1.1 servers"
+HOMEPAGE="https://bitbucket.org/nikratio/python-dugong/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.bz2"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	test? (
+		dev-python/pytest[${PYTHON_USEDEP}]
+		dev-python/pytest-catchlog[${PYTHON_USEDEP}]
+	)"
+
+python_test() {
+	py.test -v || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( doc/html/. )
+	use examples && dodoc -r examples
+	distutils-r1_python_install_all
+}


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/dugong/
@ 2018-06-25 19:26 Tim Harder
  0 siblings, 0 replies; 12+ messages in thread
From: Tim Harder @ 2018-06-25 19:26 UTC (permalink / raw
  To: gentoo-commits

commit:     79a956ec4e0a6a7aac635ec30e78f6984bebd36f
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 25 19:11:25 2018 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Mon Jun 25 19:26:08 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=79a956ec

dev-python/dugong: version bump to 3.7.3

 dev-python/dugong/Manifest            |  1 +
 dev-python/dugong/dugong-3.7.3.ebuild | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/dev-python/dugong/Manifest b/dev-python/dugong/Manifest
index 570d8862d78..41e68451f94 100644
--- a/dev-python/dugong/Manifest
+++ b/dev-python/dugong/Manifest
@@ -1,2 +1,3 @@
 DIST dugong-3.7.1.tar.bz2 194243 BLAKE2B a7514f4b515fcd519f5c11b834d44d16cd395d9eada659dd1913bd07a9a072e19f6737a3d702d9ef2a63160eb5452f146a4b04e744610b8f51c9403a648aef9b SHA512 85c276bba85d650bf0baa6257bf0872cb2da546a23d19e0c94cc15c95721a8d9f6392db0e64b38ab2e801803e3ab7908e6a931d18736d33c87138eca35b4f27c
 DIST dugong-3.7.2.tar.bz2 206730 BLAKE2B f362208db26582a1d3681900e99b2143c779d4da1dff9f1a5bc21a2a00fbd0e0c1abb045a60b6cc29d173c0980c42c19f33d091c3b6f300d0e2d85b180b12995 SHA512 00b6d349fa7c5b8a356d663381a39bc40dd42fe9c01a92003c58437f4c4acc31fdde880b743f2c1035016e6f1e1d0f9cf6608832332f3a4a8640bf868680bea6
+DIST dugong-3.7.3.tar.bz2 206720 BLAKE2B 41dd349336ae37dd290c88233a4a1eed283a774a072396a03b0b97fe3aaca95a4aa90b2951ebc3d59c517221b1b1b77f90d64538f5a17fcc84fa927650af1fdb SHA512 b20b720fa18789ff137524b67dd7339ec3ad532cff164c03c74d38accc72e035d33ebe97df028f75d7d904f3d0d460f99edf7cf45abf9c4849a5a3a05529a7a4

diff --git a/dev-python/dugong/dugong-3.7.3.ebuild b/dev-python/dugong/dugong-3.7.3.ebuild
new file mode 100644
index 00000000000..e1144b98f8b
--- /dev/null
+++ b/dev-python/dugong/dugong-3.7.3.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for communicating with HTTP 1.1 servers"
+HOMEPAGE="https://bitbucket.org/nikratio/python-dugong/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.bz2"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	test? (
+		dev-python/pytest[${PYTHON_USEDEP}]
+		dev-python/pytest-catchlog[${PYTHON_USEDEP}]
+	)"
+
+python_test() {
+	py.test -v || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( doc/html/. )
+	use examples && dodoc -r examples
+	distutils-r1_python_install_all
+}


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/dugong/
@ 2018-12-13  6:48 Tim Harder
  0 siblings, 0 replies; 12+ messages in thread
From: Tim Harder @ 2018-12-13  6:48 UTC (permalink / raw
  To: gentoo-commits

commit:     812f74facb86988837ebac3598358e4355d5688c
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 13 06:30:00 2018 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Thu Dec 13 06:47:16 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=812f74fa

dev-python/dugong: update HOMEPAGE and metadata

Signed-off-by: Tim Harder <radhermit <AT> gentoo.org>

 dev-python/dugong/dugong-3.7.3.ebuild | 2 +-
 dev-python/dugong/metadata.xml        | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-python/dugong/dugong-3.7.3.ebuild b/dev-python/dugong/dugong-3.7.3.ebuild
index c074de2aed1..73cb6393ccb 100644
--- a/dev-python/dugong/dugong-3.7.3.ebuild
+++ b/dev-python/dugong/dugong-3.7.3.ebuild
@@ -7,7 +7,7 @@ PYTHON_COMPAT=( python3_{4,5,6,7} )
 inherit distutils-r1
 
 DESCRIPTION="Python library for communicating with HTTP 1.1 servers"
-HOMEPAGE="https://bitbucket.org/nikratio/python-dugong/"
+HOMEPAGE="https://github.com/python-dugong/python-dugong/"
 SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.bz2"
 
 LICENSE="LGPL-2"

diff --git a/dev-python/dugong/metadata.xml b/dev-python/dugong/metadata.xml
index 2ae422c4010..63b91a9dfd9 100644
--- a/dev-python/dugong/metadata.xml
+++ b/dev-python/dugong/metadata.xml
@@ -7,6 +7,6 @@
   </maintainer>
   <upstream>
     <remote-id type="pypi">dugong</remote-id>
-    <remote-id type="bitbucket">nikratio/python-dugong</remote-id>
+    <remote-id type="github">python-dugong/python-dugong</remote-id>
   </upstream>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/dugong/
@ 2018-12-13  6:48 Tim Harder
  0 siblings, 0 replies; 12+ messages in thread
From: Tim Harder @ 2018-12-13  6:48 UTC (permalink / raw
  To: gentoo-commits

commit:     4ff8f8f22716cc299e3691675f36aa89e0c89b6d
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 13 06:14:34 2018 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Thu Dec 13 06:47:15 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ff8f8f2

dev-python/dugong: add python3_7 support

Note that >=pytest-3.3.0 merged the catchlog plugin so use it for 3.7
support.

Signed-off-by: Tim Harder <radhermit <AT> gentoo.org>

 dev-python/dugong/dugong-3.7.3.ebuild | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/dev-python/dugong/dugong-3.7.3.ebuild b/dev-python/dugong/dugong-3.7.3.ebuild
index e1144b98f8b..c074de2aed1 100644
--- a/dev-python/dugong/dugong-3.7.3.ebuild
+++ b/dev-python/dugong/dugong-3.7.3.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
-PYTHON_COMPAT=( python3_{4,5,6} )
+PYTHON_COMPAT=( python3_{4,5,6,7} )
 
 inherit distutils-r1
 
@@ -18,7 +18,10 @@ IUSE="doc examples test"
 DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
 	test? (
 		dev-python/pytest[${PYTHON_USEDEP}]
-		dev-python/pytest-catchlog[${PYTHON_USEDEP}]
+		|| (
+			dev-python/pytest-catchlog[${PYTHON_USEDEP}]
+			>=dev-python/pytest-3.3.0[${PYTHON_USEDEP}]
+		)
 	)"
 
 python_test() {


^ permalink raw reply related	[flat|nested] 12+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/dugong/
@ 2020-03-27  7:25 Michał Górny
  0 siblings, 0 replies; 12+ messages in thread
From: Michał Górny @ 2020-03-27  7:25 UTC (permalink / raw
  To: gentoo-commits

commit:     250f34710b4433babf1fdf31ee6408d0c69e8160
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 27 07:08:58 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Mar 27 07:25:35 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=250f3471

dev-python/dugong: Remove redundant versions

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/dugong/Manifest            |  2 --
 dev-python/dugong/dugong-3.7.1.ebuild | 33 ---------------------------------
 dev-python/dugong/dugong-3.7.2.ebuild | 33 ---------------------------------
 3 files changed, 68 deletions(-)

diff --git a/dev-python/dugong/Manifest b/dev-python/dugong/Manifest
index 41e68451f94..b49469c6cb8 100644
--- a/dev-python/dugong/Manifest
+++ b/dev-python/dugong/Manifest
@@ -1,3 +1 @@
-DIST dugong-3.7.1.tar.bz2 194243 BLAKE2B a7514f4b515fcd519f5c11b834d44d16cd395d9eada659dd1913bd07a9a072e19f6737a3d702d9ef2a63160eb5452f146a4b04e744610b8f51c9403a648aef9b SHA512 85c276bba85d650bf0baa6257bf0872cb2da546a23d19e0c94cc15c95721a8d9f6392db0e64b38ab2e801803e3ab7908e6a931d18736d33c87138eca35b4f27c
-DIST dugong-3.7.2.tar.bz2 206730 BLAKE2B f362208db26582a1d3681900e99b2143c779d4da1dff9f1a5bc21a2a00fbd0e0c1abb045a60b6cc29d173c0980c42c19f33d091c3b6f300d0e2d85b180b12995 SHA512 00b6d349fa7c5b8a356d663381a39bc40dd42fe9c01a92003c58437f4c4acc31fdde880b743f2c1035016e6f1e1d0f9cf6608832332f3a4a8640bf868680bea6
 DIST dugong-3.7.3.tar.bz2 206720 BLAKE2B 41dd349336ae37dd290c88233a4a1eed283a774a072396a03b0b97fe3aaca95a4aa90b2951ebc3d59c517221b1b1b77f90d64538f5a17fcc84fa927650af1fdb SHA512 b20b720fa18789ff137524b67dd7339ec3ad532cff164c03c74d38accc72e035d33ebe97df028f75d7d904f3d0d460f99edf7cf45abf9c4849a5a3a05529a7a4

diff --git a/dev-python/dugong/dugong-3.7.1.ebuild b/dev-python/dugong/dugong-3.7.1.ebuild
deleted file mode 100644
index 6c8ddea665e..00000000000
--- a/dev-python/dugong/dugong-3.7.1.ebuild
+++ /dev/null
@@ -1,33 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python3_6 )
-
-inherit distutils-r1
-
-DESCRIPTION="Python library for communicating with HTTP 1.1 servers"
-HOMEPAGE="https://bitbucket.org/nikratio/python-dugong/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.bz2"
-
-LICENSE="LGPL-2"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="doc examples test"
-RESTRICT="!test? ( test )"
-
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
-	test? (
-		dev-python/pytest[${PYTHON_USEDEP}]
-		dev-python/pytest-catchlog[${PYTHON_USEDEP}]
-	)"
-
-python_test() {
-	py.test -v || die "Tests failed under ${EPYTHON}"
-}
-
-python_install_all() {
-	use doc && local HTML_DOCS=( doc/html/. )
-	use examples && dodoc -r examples
-	distutils-r1_python_install_all
-}

diff --git a/dev-python/dugong/dugong-3.7.2.ebuild b/dev-python/dugong/dugong-3.7.2.ebuild
deleted file mode 100644
index 7cd21546f1b..00000000000
--- a/dev-python/dugong/dugong-3.7.2.ebuild
+++ /dev/null
@@ -1,33 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python3_6 )
-
-inherit distutils-r1
-
-DESCRIPTION="Python library for communicating with HTTP 1.1 servers"
-HOMEPAGE="https://bitbucket.org/nikratio/python-dugong/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.bz2"
-
-LICENSE="LGPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="doc examples test"
-RESTRICT="!test? ( test )"
-
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
-	test? (
-		dev-python/pytest[${PYTHON_USEDEP}]
-		dev-python/pytest-catchlog[${PYTHON_USEDEP}]
-	)"
-
-python_test() {
-	py.test -v || die "Tests failed under ${EPYTHON}"
-}
-
-python_install_all() {
-	use doc && local HTML_DOCS=( doc/html/. )
-	use examples && dodoc -r examples
-	distutils-r1_python_install_all
-}


^ permalink raw reply related	[flat|nested] 12+ messages in thread

end of thread, other threads:[~2020-03-27  7:25 UTC | newest]

Thread overview: 12+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-03-27  7:25 [gentoo-commits] repo/gentoo:master commit in: dev-python/dugong/ Michał Górny
  -- strict thread matches above, loose matches on Subject: below --
2018-12-13  6:48 Tim Harder
2018-12-13  6:48 Tim Harder
2018-06-25 19:26 Tim Harder
2018-03-19  6:38 Tim Harder
2018-02-09  7:59 Tim Harder
2018-02-09  7:59 Tim Harder
2017-08-22  6:08 Tim Harder
2017-05-11  1:29 Zac Medico
2016-09-11  4:28 Tim Harder
2016-07-12 18:51 Tim Harder
2016-03-12 18:14 Tim Harder

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox